commit e5c811348c792190deb3821e62ecaea2a891094a
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Mon Sep 1 02:25:55 2025

    Daily bump.

diff --git a/fixincludes/ChangeLog b/fixincludes/ChangeLog
index f5f152ea3ea..76573f62f6b 100644
--- a/fixincludes/ChangeLog
+++ b/fixincludes/ChangeLog
@@ -1,3 +1,14 @@
+2025-08-31  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2025-08-28  Jonathan Wakely  <jwakely@redhat.com>
+
+	PR bootstrap/118009
+	PR bootstrap/119089
+	* inclhack.def (pthread_incomplete_struct_argument): Add bypass.
+	* fixincl.tpl: Remove reference to svn in comment.
+	* fixincl.x: Regenerate.
+
 2025-08-08  Release Manager
 
 	* GCC 15.2.0 released.
diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 38bb0067bb9..9df045141a8 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,10 @@
+2025-08-31  Benjamin Wu  <bwu25@cs.washington.edu>
+
+	Backported from master:
+	2025-07-13  Benjamin Wu  <bwu25@cs.washington.edu>
+
+	* gimple.h (GTMA_DOES_GO_IRREVOCABLE): Fix typo.
+
 2025-08-25  Xi Ruoyao  <xry111@xry111.site>
 
 	Backported from master:
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 054cb6a96b2..d9ea012e34a 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20250831
+20250901
diff --git a/libstdc++-v3/ChangeLog b/libstdc++-v3/ChangeLog
index 3f464ccdc81..ab8eb9f9f5b 100644
--- a/libstdc++-v3/ChangeLog
+++ b/libstdc++-v3/ChangeLog
@@ -1,3 +1,57 @@
+2025-08-31  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2025-08-21  Jonathan Wakely  <jwakely@redhat.com>
+
+	PR libstdc++/121374
+	* include/std/limits (numeric_limits<__float128>::max_digits10):
+	Fix value.
+	* testsuite/18_support/numeric_limits/128bit.cc: Check value.
+
+2025-08-31  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2025-08-21  Jonathan Wakely  <jwakely@redhat.com>
+
+	PR libstdc++/121496
+	* include/std/mutex (__timed_mutex_impl::_M_try_wait_until):
+	Change preprocessor condition to use #if instead of #ifdef.
+	(recursive_timed_mutex::_M_clocklock): Likewise.
+	* testsuite/30_threads/timed_mutex/121496.cc: New test.
+
+2025-08-31  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2025-07-17  Jonathan Wakely  <jwakely@redhat.com>
+
+	PR libstdc++/121097
+	* include/c_global/cmath (hypot): Use __promote_3 instead of
+	__promoted.
+
+2025-08-31  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2025-06-11  Jonathan Wakely  <jwakely@redhat.com>
+
+	PR libstdc++/120390
+	* include/bits/stl_construct.h (_Destroy_aux::__destroy_n): New
+	static member function.
+	(_Destroy_aux<true>::__destroy_n): Likewise.
+	(_Destroy_n_aux): Remove.
+	(_Destroy(ForwardIterator, ForwardIterator)): Remove
+	static_assert. Use is_trivially_destructible instead of
+	__has_trivial_destructor.
+	(_Destroy_n): Likewise. Use _Destroy_aux::__destroy_n instead of
+	_Destroy_n_aux::__destroy_n.
+	* testsuite/20_util/specialized_algorithms/memory_management_tools/destroy_neg.cc:
+	Adjust dg-error strings. Move destroy_n tests to ...
+	* testsuite/20_util/specialized_algorithms/memory_management_tools/destroy_n_neg.cc:
+	New test.
+	* testsuite/23_containers/vector/cons/destructible_debug_neg.cc:
+	Adjust dg-error strings.
+	* testsuite/23_containers/vector/cons/destructible_neg.cc:
+	Likewise.
+
 2025-08-19  Tomasz Kamiński  <tkaminsk@redhat.com>
 
 	Backported from master:

